Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sat 19 Apr 2014, 05:55
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » REQUESTS
[FILLED] Pidgin 2.7.7
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [6 Posts]  
Author Message
Makoto


Joined: 03 Sep 2009
Posts: 1723
Location: Out wandering... maybe.

PostPosted: Tue 23 Nov 2010, 05:25    Post subject:  [FILLED] Pidgin 2.7.7  

Pidgin's homepage

I'm using Puppy 4.3.1 (Retro).

I did see a .pet for v2.7.6 on the wikka, but I'm not sure if that one works with 4.3.1 - and it also apparently installs outside the pup_save, which I'd rather not do (I just prefer backing up as few files as possible, when backing up my Puppy files. Razz)

(11/23 - Updated the subject line from 2.7.6 to 2.7.7, because vercion 2.7.7 was just released today. Shocked )

_________________
[ Puppy 4.3.1 JP, Frugal install | 1GB RAM | 1.3GB swap ] * My Pidgin Builds for Puppy 4.3.1+
In memory of our beloved American Eskimo puppy (1995-2010) and black Lab puppy (1997-2011).

Last edited by Makoto on Wed 01 Dec 2010, 15:20; edited 1 time in total
Back to top
View user's profile Send private message 
Makoto


Joined: 03 Sep 2009
Posts: 1723
Location: Out wandering... maybe.

PostPosted: Wed 01 Dec 2010, 04:54    Post subject:  

Argh. Well, I got tired of the constant MSN security certificate errors (I'd originally grabbed the new certificate from omega.contacts.msn.com - then the Pidgin devs said that was the wrong way to do it, close Pidgin, delete that certificate, place these .pem files in the /usr/share/purple/ca-certs/ directory, restart Pidgin. Okay, done.

...except now, it's gotten to the point where it gripes at me about the certificate 99% of the time, and doesn't connect (it might, that 1% of the time...). And as you'd expect (especially when all but one or two of your contacts are on MSN), it's really, really, really annoying.

So, as coolpup recommended, I tried the version on the wikka (http://puppylinux.org/wikka/Pidgin). Originally, it gave only a single complaint, about libidn.so.11. So, I found a .pet for it here, and installed. it.

...now, it's giving me these complaints:

Code:
pidgin: /lib/libc.so.6: version `GLIBC_2.7' not found (required by pidgin)
pidgin: /usr/lib/libidn.so.11: no version information available (required by /usr/lib/libpurple.so.0)
pidgin: /usr/lib/libxml2.so.2: no version information available (required by /usr/lib/libpurple.so.0)
pidgin: /lib/libc.so.6: version `GLIBC_2.7' not found (required by /usr/lib/libpurple.so.0)


What do I need? An updated version of glib, just glibc, or both? Is that possibly a dangerous thing to chance on Puppy? (And, anyway, where do I find whichever one (or both) that I need? Embarassed )

_________________
[ Puppy 4.3.1 JP, Frugal install | 1GB RAM | 1.3GB swap ] * My Pidgin Builds for Puppy 4.3.1+
In memory of our beloved American Eskimo puppy (1995-2010) and black Lab puppy (1997-2011).
Back to top
View user's profile Send private message 
dejan555


Joined: 30 Nov 2008
Posts: 2589
Location: Montenegro

PostPosted: Wed 01 Dec 2010, 05:23    Post subject:  

Not reccomended to try to change glibc, what you need is pidgin compiled on 4.x series because 5.x has different libc and libs. I might try to compile later today but don't take that as a promise Razz
_________________


Back to top
View user's profile Send private message Visit poster's website MSN Messenger 
dejan555


Joined: 30 Nov 2008
Posts: 2589
Location: Montenegro

PostPosted: Wed 01 Dec 2010, 14:17    Post subject:  

Here it is Makoto, compiled on very 4.3.1 with gnutls dependencies added:
pidgin_FULL-2.7.7-i486-431.pet

For DEV/DOC/NLS and other individual gnutls pets look here:
http://puppy.b0x.me/software/pup431/

_________________


Back to top
View user's profile Send private message Visit poster's website MSN Messenger 
Makoto


Joined: 03 Sep 2009
Posts: 1723
Location: Out wandering... maybe.

PostPosted: Wed 01 Dec 2010, 15:20    Post subject:  

Oops. I accidentally managed to pass out (=fall asleep) earlier this morning. Embarassed (I usually don't sleep much, at all. Razz Shocked )

Yeah, I was afraid of that (that it was possibly compiled on Puppy 5 and there was an issue with glib/c as a result), and vaguely remembered reading somewhere on the forum that it wasn't a good idea to try messing with/upgrading/etc. glib or glibc in Puppy. Smile

It does seem to be working with no problems, though. Thanks! (Although I haven't yet tried opening it in the terminal to see if it throws any error messages of any sort.

_________________
[ Puppy 4.3.1 JP, Frugal install | 1GB RAM | 1.3GB swap ] * My Pidgin Builds for Puppy 4.3.1+
In memory of our beloved American Eskimo puppy (1995-2010) and black Lab puppy (1997-2011).
Back to top
View user's profile Send private message 
abushcrafter


Joined: 30 Oct 2009
Posts: 1447
Location: England

PostPosted: Wed 01 Dec 2010, 21:04    Post subject:  

Thanks dejan555 for the Pidgin PET. I see there is a "--config=DIR" (Use "DIR" for config files.) parameter Very Happy. Now for one more test and we will have a PortablePidgin Very Happy.
_________________
adobe flash is rubbish!
My Quote:"Humans are stupid, though some are clever but stupid." http://www.dependent.de/media/audio/mp3/System_Syn_Heres_to_You.zip http://www.systemsyn.com/
Back to top
View user's profile Send private message Visit poster's website 
Display posts from previous:   Sort by:   
Page 1 of 1 [6 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » REQUESTS
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0519s ][ Queries: 11 (0.0074s) ][ GZIP on ]